Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.service.dependency.internal
Class MandatoryDependencyBeanPostProcessor

    java.lang.Object
      org.eclipse.gemini.blueprint.service.dependency.internal.MandatoryDependencyBeanPostProcessor

All Implemented Interfaces:
  org.springframework.beans.factory.Aware, org.springframework.beans.factory.BeanFactoryAware, org.springframework.beans.factory.config.BeanPostProcessor, org.springframework.beans.factory.config.DestructionAwareBeanPostProcessor

    public class MandatoryDependencyBeanPostProcessor

extends Object
implements org.springframework.beans.factory.BeanFactoryAware, org.springframework.beans.factory.config.BeanPostProcessor, org.springframework.beans.factory.config.DestructionAwareBeanPostProcessor

BeanPostProcessor registered for detecting the dependency between service importer and service exporters. Besides bean detection, this component also listens to specific importer events to determine whether a potential associated exporter needs to be disabled temporarily.

Author:
  Costin Leau

Constructor Summary
`MandatoryDependencyBeanPostProcessor()`

Method Summary
`Object` | `postProcessAfterInitialization(Object bean, String beanName)`
`void` | `postProcessBeforeDestruction(Object bean, String beanName)`
`Object` | `postProcessBeforeInitialization(Object bean, String beanName)`
`void` | `setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MandatoryDependencyBeanPostProcessor

    public MandatoryDependencyBeanPostProcessor()

Method Detail

### postProcessAfterInitialization

    public Object postProcessAfterInitialization(Object bean,
                                                 String beanName)
                                          throws org.springframework.beans.BeansException

  Specified by:
    `postProcessAfterInitialization` in interface `org.springframework.beans.factory.config.BeanPostProcessor`
  Throws:
    `org.springframework.beans.BeansException`

### postProcessBeforeInitialization

    public Object postProcessBeforeInitialization(Object bean,
                                                  String beanName)
                                           throws org.springframework.beans.BeansException

  Specified by:
    `postProcessBeforeInitialization` in interface `org.springframework.beans.factory.config.BeanPostProcessor`
  Throws:
    `org.springframework.beans.BeansException`

### setBeanFactory

    public void setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)
                        throws org.springframework.beans.BeansException

  Specified by:
    `setBeanFactory` in interface `org.springframework.beans.factory.BeanFactoryAware`
  Throws:
    `org.springframework.beans.BeansException`

### postProcessBeforeDestruction

    public void postProcessBeforeDestruction(Object bean,
                                             String beanName)
                                      throws org.springframework.beans.BeansException

  Specified by:
    `postProcessBeforeDestruction` in interface `org.springframework.beans.factory.config.DestructionAwareBeanPostProcessor`
  Throws:
    `org.springframework.beans.BeansException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.